import { type Ref } from 'vue-demi';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { Control, type ControlOptions, type Map } from 'leaflet';
export interface UseLeafletCustomControlOptions extends ControlOptions {
    disabled?: MaybeRefOrGetter<boolean>;
    factory?: (...args: unknown[]) => Control;
    dispose?: boolean;
    onAdd?: (map: Map, control: Control) => HTMLElement;
    onRemove?: (map: Map, control: Control) => void;
    onDisable?: (map: Map, control: Control) => void;
    onEnable?: (map: Map, control: Control) => void;
}
export type UseLeafletCustomControlReturn = Ref<Control | null>;
export declare function useLeafletCustomControl(options?: UseLeafletCustomControlOptions): UseLeafletCustomControlReturn;
