import type { MaybeRefOrGetter } from '@vueuse/shared';
import type { Control } from 'leaflet';
import { type UseLeafletDisplayObjectOptions, type UseLeafletDisplayObjectReturn, type UseLeafletDisplayObjectReturnWithControls } from '../useLeafletDisplayObject';
export type UseLeafletDisplayControlOptions<Controls extends boolean> = Omit<UseLeafletDisplayObjectOptions<Controls, LeafletDisplayControl, Control>, 'show' | 'hide' | 'shown'>;
export interface LeafletDisplayControl {
    addControl(control: Control): this;
    removeControl(control: Control): this;
}
export type UseLeafletDisplayControlReturn = UseLeafletDisplayObjectReturn;
export type UseLeafletDisplayControlReturnWithControls = UseLeafletDisplayObjectReturnWithControls;
export declare function useLeafletDisplayControl(source: MaybeRefOrGetter<LeafletDisplayControl | null | undefined>, target: MaybeRefOrGetter<Control | null | undefined>, options?: UseLeafletDisplayControlOptions<false>): UseLeafletDisplayControlReturn;
export declare function useLeafletDisplayControl(source: MaybeRefOrGetter<LeafletDisplayControl | null | undefined>, target: MaybeRefOrGetter<Control | null | undefined>, options: UseLeafletDisplayControlOptions<true>): UseLeafletDisplayControlReturnWithControls;
