import { type Ref, type WatchSource } from 'vue-demi';
import type { Layer } from 'leaflet';
export interface UseLeafletLayerOptions<T> {
    watch?: WatchSource<any>;
    flushSync?: boolean;
    update?: (instance: T | null) => void;
    remove?: (instance: T) => void;
    dispose?: boolean;
}
export type UseLeafletLayerReturn<T> = Ref<T | null>;
export declare function useLeafletLayer<T extends Layer = Layer>(factory: () => T, options?: UseLeafletLayerOptions<T>): UseLeafletLayerReturn<T>;
