import { type Ref } from 'vue-demi';
import { type MaybeComputedElementRef } from '@vueuse/core';
import { type MaybeRefOrGetter } from '@vueuse/shared';
import { Map, type MapOptions, type LatLngExpression, type LatLngBoundsExpression, type LatLng, type LatLngBounds, type LeafletEvent } from 'leaflet';
export interface UseLeafletMapOptions extends Omit<MapOptions, 'center' | 'zoom'> {
    center?: MaybeRefOrGetter<LatLngExpression | undefined>;
    zoom?: MaybeRefOrGetter<number | undefined>;
    bounds?: MaybeRefOrGetter<LatLngBoundsExpression | undefined>;
    useFly?: MaybeRefOrGetter<boolean | undefined>;
    flushSync?: boolean;
    factory?: (...args: unknown[]) => Map;
    dispose?: boolean;
    onViewChanged?: (event: ViewChangedEvent) => void;
}
export type UseLeafletMapReturn = Ref<Map | null>;
export interface ViewChangedEvent extends LeafletEvent {
    center: LatLng;
    zoom: number;
    bounds: LatLngBounds;
}
export declare function useLeafletMap(element: MaybeComputedElementRef, options?: UseLeafletMapOptions): UseLeafletMapReturn;
