import { type Ref } from 'vue-demi';
import { type Arrayable, type MaybeRefOrGetter } from '@vueuse/shared';
export interface UseLeafletPaneOptions {
    zIndex?: number;
    flushSync?: boolean;
    dispose?: boolean;
}
export interface UseLeafletPaneReturn {
    paneElements: LeafletPaneElements;
}
export type LeafletPaneElements = Readonly<Ref<Record<string, HTMLElement>>>;
export interface LeafletPaneProvider {
    createPane(name: string, container?: HTMLElement): HTMLElement;
    getPane(name: string | HTMLElement): HTMLElement | undefined;
    getPanes(): Record<string, HTMLElement>;
}
export declare function useLeafletPane(source: MaybeRefOrGetter<LeafletPaneProvider | null | undefined>, pane: MaybeRefOrGetter<Arrayable<string> | null | undefined>, options?: UseLeafletPaneOptions): UseLeafletPaneReturn;
